2017-03-28 06:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004663MPDInput Plugins - Streamingpublic2017-03-10 16:13
Reporterjo 
Assigned Tocirrus 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSmanjaroOS Version
Product Version0.20 
Target VersionFixed in Version0.20 
Summary0004663: stream info are not always diplayed
DescriptionWhen a stream is open from an url, its info (artist/title/...) are fetch, quickly after the start of the song. This is *not* the case when the stream is started automatically, at the end of another stream.
Steps To ReproduceNote on the source stream:
I can't provide a url to reliably test, the one I get from a website are temporary...

you can get a random new one with the folowing command.
!not all song have info, you may have to try a few times to get a good url!

curl -H "Content-Type: application/json" -X PUT -d '{"decade":"1980","country":"USA","moods":["FAST"]}' http://radiooooo.com/api/playlist/286100/next | sed -e 's/.*mp3":"\([^"]*\).*/\1/'

----

# load a mp3 stream twice in the playlist
mpc add http://ms2-eu.radiooooo.com/media-server/links/1488760302_70b2a395-3134-4985-a564-80d83fe82e86.mp3
mpc add http://ms2-eu.radiooooo.com/media-server/links/1488760302_70b2a395-3134-4985-a564-80d83fe82e86.mp3

# launch the first
mpc play

# wait a few moment, and look at the info
mpc
Grandmaster Flash & The Furious Five - The Message
[playing] #1/2 0:08/7:10 (2%)
volume: n/a repeat: off random: on single: off consume: on

->artist/title ok.

# wait the end of the first song, to automatically load the next one.
mpc seek 99%

# again wait a few sec after the second stream is played
mpc
http://ms2-eu.radiooooo.com/media-server/links/1488760302_70b2a395-3134-4985-a564-80d83fe82e86.mp3
[playing] #1/1 0:09/7:10 (2%)
volume: n/a repeat: off random: on single: off consume: on

-> stream url is still displayed.
Additional InformationIt happpens in this very narrow situation: stream after stream, loaded automatically at the end of the first one.

I have tested, with correct behaviour the following cases:
- stream loaded by a specific 'play' cmd
- stream loaded by the 'next' cmd
- stream automatically loaded after a *local* file.

I'm not familiar with mpd's source, but the last point suggest me that some data/structure cleaning is not properly done, when a stream is stoped.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010423

cirrus (administrator)

1b6666fa39cdbe955661e7fa1d3ac8a8e68e4216

Excellent bug report, thanks.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-06 02:15 jo New Issue
2017-03-06 02:15 jo Status new => assigned
2017-03-06 02:15 jo Assigned To => cirrus
2017-03-10 16:13 cirrus Status assigned => resolved
2017-03-10 16:13 cirrus Resolution open => fixed
2017-03-10 16:13 cirrus Fixed in Version => 0.20
2017-03-10 16:13 cirrus Note Added: 0010423
+Issue History